﻿/*--------------------------------------------------------------
# Root Section
--------------------------------------------------------------*/
:root {
    --background-color: #093B53;
    --light-background-color: #275368;
    --text-color: #FFFFFF;
    --gray-light: #E0E6ED;
    --gray-medium: #9ca3af;
    --gray-dark: #3A3A3A;
    --link-color: #E0E6ED;
    --link-hover-color: #f36d21;
    --button-background-color: #093B53;
    --button-text-color: #FFFFFF;
    --button-hover-background-color: #275368;
    --button-hover-text-color: #f36d21;
    --inactive-tab-text-color: #2c384e;
    --active-tab-text-color: #1E3E73;
    --profile-card-header-background-color: linear-gradient(to right,#275368, #093B53, #275368);
    --white-color: #FFFFFF;
    /*--------------------------------------------------------------
        # All font families variables defined here
     --------------------------------------------------------------*/
    --Roboto-font-family: 'Roboto', 'Helvetica Neue', Helvetica, Arial, sans-serif;
    --Montserrat-font-family: 'Montserrat', sans-serif;
    --OpenSans-font-family: 'Open Sans', sans-serif;
    --Poppins-font-family: 'Poppins', sans-serif;
    --Inter-font-family: 'Inter', sans-serif;
    --Playfair-Display-font-family: 'Playfair Display', serif;
    --Lato-font-family: 'Lato', sans-serif;
    --Nunito-font-family: 'Nunito', sans-serif;
    --FiraSans-font-family: 'Fira Sans', sans-serif;
    --SegoeUI-font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    --Helvetica-font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    --font-body: 'Inter', 'Open Sans', 'Roboto', sans-serif;
    --font-link: 'Inter', 'Poppins', 'Open Sans', sans-serif;
    --font-heading: 'Montserrat', 'Poppins', 'DM Sans', sans-serif;
    --urdu-font-family: 'Gulmarg Nastaleeq', 'Noto Nastaliq Urdu', 'Noto Sans Arabic', sans-serif;
    /*--------------------------------------------------------------
      # font size variables defined here
      --------------------------------------------------------------*/
    --base-font-size: 1rem;
    /*--------------------------------------------------------------
      # shadows variables defined here
      --------------------------------------------------------------*/
    --shadow-light: 0 2px 4px rgba(0, 0, 0, 0.1);
    --shadow-medium: 0 4px 8px rgba(0, 0, 0, 0.15);
    --shadow-heavy: 0 6px 12px rgba(0, 0, 0, 0.2);
    --shadow-normal: 10px 5px 17px #b0c4de;
}

/*--------------------------------------------------------------
# Default Theme
--------------------------------------------------------------*/
[data-theme="default"] {
    /*    --background-color: #008080;
    --light-background-color: #007373;
    --text-color: #FFFFFF;
    --gray-light: #E0E6ED;
    --gray-medium: #9ca3af;
    --gray-dark: #3A3A3A;
    --link-color: #E0E6ED;
    --link-hover-color: #f5a425;
    --button-background-color: #007575;
    --button-text-color: #FFFFFF;
    --button-hover-background-color: #007373;
    --button-hover-text-color: #f5a425;
    --inactive-tab-text-color: #2c384e;
    --active-tab-text-color: #008080;
    --profile-card-header-background-color: linear-gradient(to right, #008080,#007373, #02B0B0);*/

    --background-color: #093B53;
    --light-background-color: #275368;
    --text-color: #FFFFFF;
    --gray-light: #E0E6ED;
    --gray-medium: #9ca3af;
    --gray-dark: #3A3A3A;
    --link-color: #E0E6ED;
    --link-hover-color: #f36d21;
    --button-background-color: #093B53;
    --button-text-color: #FFFFFF;
    --button-hover-background-color: #275368;
    --button-hover-text-color: #f36d21;
    --inactive-tab-text-color: #2c384e;
    --active-tab-text-color: #1E3E73;
    --profile-card-header-background-color: linear-gradient(to right,#275368, #093B53, #275368);
}

/*--------------------------------------------------------------
# Dark Theme
--------------------------------------------------------------*/

[data-theme="dark"] {
    --background-color: #1E1E1E;
    --light-background-color: #1E1E1E;
    --text-color: #E0E6ED;
    --gray-light: #2A2A2A;
    --gray-medium: #4B5563;
    --gray-dark: #121212;
    --link-color: #F4F4F4;
    --link-hover-color: #f5a425;
    --button-background-color: #2C4C88;
    --button-text-color: #FFFFFF;
    --button-hover-background-color: #375A9E;
    --button-hover-text-color: #f5a425;
    --inactive-tab-text-color: #6B7280;
    --active-tab-text-color: #3B82F6;
    --profile-card-header-background-color: #1E1E1E;
}

/*--------------------------------------------------------------
# Light Theme
--------------------------------------------------------------*/

[data-theme="light"] {
    --background-color: #FFFFFF;
    --light-background-color: #FFFFFF;
    --text-color: #1E1E1E;
    --gray-light: #F3F4F6;
    --gray-medium: #9CA3AF;
    --gray-dark: #4B5563;
    --link-color: #1E3E73;
    --link-hover-color: #f5a425;
    --button-background-color: #1E3E73;
    --button-text-color: #FFFFFF;
    --button-hover-background-color: #2C4C88;
    --button-hover-text-color: #f5a425;
    --inactive-tab-text-color: #6B7280;
    --active-tab-text-color: #1E3E73;
    --profile-card-header-background-color: linear-gradient(to right, #e5e9f2, #d3dbea, #c2cfe3);
}

/*--------------------------------------------------------------
# General Styles
--------------------------------------------------------------*/
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    text-decoration: none;
    transition: all 0.3s ease;
    font-family: var(--font-body);
}

body {
    top: 0px !important;
    background: #f6f9ff;
}

#main-container {
    background: #f6f9ff;
}
/*--------------------------------------------------------------
# Font Size
--------------------------------------------------------------*/

.small-font {
    font-size: 0.75rem;
}

.medium-font {
    font-size: 1rem;
}

.large-font {
    font-size: 1.25rem;
}

.extra-large-font {
    font-size: 1.5rem;
}

h1, h2, h3, h4, h5, h6 {
    font-family: var(--font-heading);
    font-weight: 700;
}

p {
    text-align: justify;
}

#main-container #linktext a {
    text-decoration: none;
    color: var(--gray-dark);
}

    #main-container #linktext a:hover {
        color: var(--background-color);
    }

#main-container .link-text a {
    color: var(--gray-dark);
}

    #main-container .link-text a:hover {
        color: var(--link-hover-color);
    }

.list-circle {
    list-style-type: circle;
}

.list-normal {
    list-style-type: disc;
}

.list-arrow {
    list-style: none;
    padding-left: 10px;
}

    .list-arrow li::before {
        content: '\27A4'; /* ▶ Right-pointing triangle */
        margin-right: 8px;
        display: inline-block;
    }

.mt-3 {
    margin-top: 1rem !important;
}


/*------------------------------------------------
    card overide settings 
-------------------------------------------------*/
/*charts modified version*/
.chart-wrapper {
    height: 300px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.chart-container {
    height: 100%;
    width: 100%;
    padding: 10px; /* Optional: add padding for breathing room */
}

/* Card */
.card {
    margin-bottom: 30px;
    border: none;
    border-radius: 5px;
    box-shadow: 0px 0 30px rgba(1, 41, 112, 0.1);
}

.card-header,
.card-footer {
    border-color: #ebeef4;
    background-color: #fff;
    /*    color: #798eb3;*/
    padding: 15px;
}

.card-title {
    padding: 20px 0 15px 0;
    font-size: 18px;
    font-weight: 500;
    color: #012970;
    font-family: "Poppins", sans-serif;
}

    .card-title span {
        /*        color: #899bbd;*/
        font-size: 14px;
        font-weight: 400;
    }

.card-body {
    padding: 0 20px 20px 20px;
}

.card-img-overlay {
    background-color: rgba(255, 255, 255, 0.6);
}


#main-container th {
    background-color: var(--background-color);
    text-align: center;
    color: var(--text-color);
    font-size: 0.8rem;
}

/*.general-container-section {
    border-radius: 1.2rem;
    box-shadow: var(--shadow-normal);
    padding: 1rem;
    margin-top: 3rem;
    margin-bottom: 3rem;
    background-color: #FFFFFF
}*/

 .custom-card-sub-header {

    text-align: center;
    font-weight: 600;
    font-size: 18px;
}
 .list_heading {
    font-family: var(--Inter-font-family);
    font-weight: bold;
}
#page_detail .list-items{
    list-style:none;
}
.general-container {
    border-radius: 1.2rem;
    box-shadow: var(--shadow-normal);
    padding: 1rem;
    margin-top: 3rem;
    margin-bottom: 3rem;
    background-color: #FFFFFF
}
.general-title-section {
    letter-spacing: 0.2em;
    text-align: center;
    padding-bottom: 5px;
    margin-top: 5px;
    margin-bottom: 20px;
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: fit-content;
    font-family: var(--Montserrat-font-family);
    font-weight: bold;
    /* Gradient text effect */
    background: linear-gradient(to right, #2D69CB,#24519B, #1E3E73, #2D69CB);
    background-size: 200%;
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    position: relative;
}

    .general-title-section::after {
        content: "";
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 4px;
        background: linear-gradient(to right, #2D69CB,#24519B, #1E3E73, #2D69CB);
    }

.general-sub-title-section {
    text-align: left;
    letter-spacing: 0.2em;
    padding-bottom: 5px;
    margin-top: 5px;
    margin-bottom: 20px;
    font-family: var(--Montserrat-font-family);
    font-weight: bold;
    background: linear-gradient(to right, #2D69CB,#24519B, #1E3E73, #2D69CB);
    background-size: 200%;
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    position: relative;
    width: fit-content;
    display: block;
}

    .general-sub-title-section::after {
        content: "";
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 3px;
        background: linear-gradient(to right, #2D69CB,#24519B, #1E3E73, #2D69CB);
    }

.general-sub-title {
    color: var(--inactive-tab-text-color);
    font-size: var(--base-font-size);
    font-weight: 700;
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.datatable-card-header, .general-table-card-header {
    background-color: var(--background-color);
    color: var(--text-color);
    font-size: var(--base-font-size);
    font-family: var(--Inter-font-family);
    font-weight: 400;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    text-align: center;
}

#main-container .general-table-head th {
    background-color: var(--light-background-color);
}

#main-container .datatable-sorter::before {
    border-top: 4px solid var(--gray-light);
    bottom: 0px;
    opacity: 0;
}

#main-container .datatable-sorter::after {
    border-bottom: 4px solid var(--gray-light);
    color: var(--gray-light);
    border-top: 4px solid var(--transparent-color);
    top: 0px;
    opacity: 0;
}

#main-container .readmore-btn {
    background-color: var(--button-background-color);
    color: var(--button-text-color);
    float: right;
    font-weight: 400;
    transition: background 0.3s ease-in-out, color 0.3s ease-in-out;
}

    #main-container .readmore-btn:hover {
        background-color: var(--button-hover-background-color);
        color: var(--button-hover-text-color);
    }

#main-container .readmore-card-footer {
    background-color: white;
    border: none;
}

/*--------------------------------------------------------------
# Top Nav Section
--------------------------------------------------------------*/
#header-section #topsection {
    background-color: var(--background-color);
    color: var(--text-color);
}

#dateTimeContainer {
    font-size: 1rem;
}
/*--------------------------------------------------------------
# For Google Translator
--------------------------------------------------------------*/
body > .skiptranslate > iframe.skiptranslate {
    display: none !important;
    visibility: hidden !important;
    height: 0 !important;
}

#google_translate_element {
    display: inline-block;
    width: 180px;
    height: 38px;
    border-radius: 4px;
    overflow: hidden;
    position: relative;
}

    #google_translate_element .goog-te-combo {
        font-family: var(--Poppins-font-family);
    }

    #google_translate_element .goog-logo-link,
    #google_translate_element .goog-te-gadget span {
        display: none !important;
    }

#google_translate_element {
    display: inline-block;
}

#main-container .goog-te-gadget {
    font-size: 0px;
}

/*--------------------------------------------------------------
# Logo Section/
--------------------------------------------------------------*/
#logosection {
    background-color: var(--white-color);
    color: var(--text-color);
    /*    border-top: 2px solid var(--text-color);*/
}

    #logosection #Urdu-text {
        font-family: var(--urdu-font-family);
    }
/*--------------------------------------------------------------
# Navbar Section
--------------------------------------------------------------*/
#NavbarSection {
    background-color: var(--background-color);
    color: var(--text-color);
    border-top: 2px solid var(--text-color);
}

    #NavbarSection .navbar-brand {
        color: var(--gray-light);
    }



    #NavbarSection .nav-item .nav-link {
        font-family: var(--font-link);
        color: var(--link-color);
        font-weight: 500;
        padding: 5px 20px 5px 20px;
        border-radius: 8px;
    }

        #NavbarSection .nav-item .nav-link.active {
            color: var(--link-hover-color);
            border: 2px solid var(--link-hover-color);
        }

    #NavbarSection .nav-item .dropdown-menu.active {
        color: var(--link-hover-color);
        border: 2px solid var(--link-hover-color);
    }

    #NavbarSection .nav-item .nav-link:hover {
        color: var(--link-hover-color);
    }

    #NavbarSection .logo-img {
        max-height: 40px; /* Or whatever fits your navbar height */
        width: auto;
        height: auto;
    }

/*--------------------------------------------------------------
# Footer Section
--------------------------------------------------------------*/
#FooterSection {
    background-color: var(--background-color);
    color: var(--text-color);
}
    #FooterSection ul{
        list-style:none;
    }
    #FooterSection .nav-link, a {
        color: var(--link-color);
        text-decoration: none;
       
    }

        #FooterSection .nav-link,a:hover {
            color: var(--link-hover-color);
            font-weight: 500;
        }

    #FooterSection #copyright_section {
        color: var(--gray-medium);
    }


/*------------------------------------
 #Marquee section
 -------------------------------------*/
#main-container #marquee-section {
    background-color: var(--background-color);
    color: var(--text-color);
    font-weight: bold;
    padding: 5px;
}

    #main-container #marquee-section span {
        padding-right: 100px;
    }
/*--------------------------------------------------------------
# Footer Section
--------------------------------------------------------------*/
/*#FooterSection {
    background-color: var(--background-color);
    color: var(--text-color);
}

    #FooterSection .nav-link {
        color: var(--link-color);
    }

        #FooterSection .nav-link:hover {
            color: var(--link-hover-color);
            font-weight: 500;
        }

    #FooterSection #copyright_section {
        color: var(--gray-medium);
    }*/
/*--------------------------------------------------------------
# Back to top button
--------------------------------------------------------------*/
.back-to-top {
    position: fixed;
    visibility: hidden;
    opacity: 0;
    right: 15px;
    bottom: 15px;
    z-index: 99999;
    background: var(--text-color);
    width: 40px;
    height: 40px;
    border-radius: 4px;
    transition: all 0.4s;
}

    .back-to-top i {
        font-size: 24px;
        color: var(--background-color);
        line-height: 0;
    }

    .back-to-top:hover {
        background: var(--text-color);
        color: var(--background-color);
    }

    .back-to-top.active {
        visibility: visible;
        opacity: 1;
    }

/*--------------------------------------------------------------
# For Profile and Features Section
--------------------------------------------------------------*/

.profile-card {
    border-radius: 15px;
    overflow: hidden;
    text-align: center;
    background: #fff;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s, box-shadow 0.3s;
}

    .profile-card:hover {
        transform: translateY(-5px);
        box-shadow: 0px 6px 15px rgba(0, 0, 0, 0.2);
    }

.profile-header {
    background: var(--profile-card-header-background-color);
    padding: 20px;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
}

.profile-img {
    width: 100px;
    height: 100px;
    object-fit: cover;
    border-radius: 50%;
    border: 3px solid white;
    margin: auto;
}

.profile-body {
    padding: 5px 20px 5px 20px;
}

.profile-title {
    color: var(--gray-dark);
    font-size: 1.2rem;
    font-weight: bold;
    margin-top: 1rem;
}

.profile-text {
    color: var(--inactive-tab-text-color);
    font-weight: 600;
    text-align: center;
}

.profile-designation {
    color: var(--active-tab-text-color);
    margin-bottom: 5px;
    font-weight: 800;
    text-align: center;
}

/*--------------------------------------------------------------
# For Carousel
--------------------------------------------------------------*/
@-webkit-keyframes zoom {
    from {
        -webkit-transform: scale(1, 1);
    }

    to {
        -webkit-transform: scale(1.5, 1.5);
    }
}

@keyframes zoom {
    from {
        transform: scale(1, 1);
    }

    to {
        transform: scale(1.5, 1.5);
    }
}

#main-container .carousel-inner .carousel-item img {
    -webkit-animation: zoom 20s;
    animation: zoom 20s;
}

#main-container .top-caption {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(0, 0, 0, 0.3);
    padding: 20px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--gray-light);
}

#main-container .caption_text {
    text-align: center;
    font-family: var(--Montserrat-font-family);
}

#main-container .carousel-indicators [data-bs-target] {
    box-sizing: content-box;
    flex: 0 1 auto;
    width: 10px;
    height: 10px;
    padding: 0;
    margin-right: 3px;
    margin-left: 3px;
    text-indent: -999px;
    cursor: pointer;
    background-color: var(--gray-light);
    background-clip: padding-box;
    border: 0;
    border-top: 10px solid transparent;
    border-bottom: 10px solid transparent;
    opacity: .5;
    transition: opacity .6s ease;
    border-radius: 100%;
}

    #main-container .carousel-indicators [data-bs-target].active {
        opacity: 1;
    }

#main-container .carousel-control-prev, #main-container .carousel-control-next {
    background-color: rgba(57, 85, 99, 0.5);
    border: none;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 1;
}

#main-container .carousel-control-prev {
    left: 10px;
}

#main-container .carousel-control-next {
    right: 10px;
}

#main-container .carousel-control-prev-icon, #main-container .carousel-control-next-icon {
    width: 20px;
    height: 20px;
    background-size: 100% 100%;
}

/*--------------------------------------------------------------
# Directors Message Section
--------------------------------------------------------------*/
#director-message-notification {
    margin-top: 3rem;
    margin-bottom: 1rem;
}

#director-message .card {
    height: 450px;
}

#director-message .card-header {
    background-color: var(--background-color);
    color: var(--text-color);
    text-align: center;
    font-weight: 600;
}

#director-message .card-body {
    overflow: hidden;
    padding-bottom: 5rem;
}

#director-message .footer {
    border: none;
}

#director-message .nav-tabs-bordered .nav-link {
    margin-bottom: -2px;
    border: none;
    color: var(--inactive-tab-text-color);
    font-weight: 700;
}

    #director-message .nav-tabs-bordered .nav-link.active {
        color: var(--active-tab-text-color);
        border-bottom: 3px solid var(--active-tab-text-color);
    }

#director-message .marquee {
    height: 324px;
    overflow: hidden;
    position: relative;
}

    #director-message .marquee ul {
        position: absolute;
        width: 100%;
        animation: scroll-up 10s linear infinite;
        padding-left: 0;
        margin: 0;
    }

    #director-message .marquee:hover ul {
        animation-play-state: paused;
    }

    #director-message .marquee li {
        list-style: none;
        padding: 10px;
        border-bottom: 1px solid #ddd;
    }

    #director-message .marquee a {
        text-decoration: none;
        color: var(--inactive-tab-text-color); /* Normal link color */
        transition: all 0.3s ease;
        display: block;
    }

        #director-message .marquee a:visited {
            color: #6c757d; /* Visited link color (Bootstrap gray-600) */
        }

        #director-message .marquee a:hover {
            color: var(--active-tab-text-color);
            padding-left: 5px;
        }

/*--------------------------------------------------------------
# Notification and orders section
--------------------------------------------------------------*/
#notifications-orders .card {
    height: 450px;
}

#notifications-orders .nav-tabs-bordered .nav-link {
    margin-bottom: -2px;
    border: none;
    color: var(--inactive-tab-text-color);
    font-weight: 700;
}

    #notifications-orders .nav-tabs-bordered .nav-link.active {
        color: var(--active-tab-text-color);
        border-bottom: 3px solid var(--active-tab-text-color);
    }

#notifications-orders .marquee {
    height: 324px;
    overflow: hidden;
    position: relative;
}

    #notifications-orders .marquee ul {
        position: absolute;
        width: 100%;
        animation: scroll-up 10s linear infinite;
        padding-left: 0;
        margin: 0;
    }

    #notifications-orders .marquee:hover ul {
        animation-play-state: paused;
    }

    #notifications-orders .marquee li {
        list-style: none;
        padding: 10px;
        border-bottom: 1px solid #ddd;
    }

    #notifications-orders .marquee a {
        text-decoration: none;
        color: var(--inactive-tab-text-color); /* Normal link color */
        transition: all 0.3s ease;
        display: block;
    }

        #notifications-orders .marquee a:visited {
            color: #6c757d; /* Visited link color (Bootstrap gray-600) */
        }

        #notifications-orders .marquee a:hover {
            color: var(--active-tab-text-color);
            padding-left: 5px;
        }

@keyframes scroll-up {
    0% {
        top: 100%;
    }

    100% {
        top: -100%;
    }
}

/*--------------------------------------------------------------
# Services Section
--------------------------------------------------------------*/
.custom-card {
    text-align: center;
    padding: 30px 20px;
    border-radius: 15px;
    box-shadow: var(--shadow-heavy);
    transition: 0.3s;
}

    .custom-card:hover {
        transform: translateY(-5px);
        box-shadow: 0px 6px 15px rgba(0, 0, 0, 0.2);
    }

.custom-icon {
    width: 80px;
    height: 80px;
    margin: auto;
    margin-bottom: 15px;
}

.custom-btn {
    background-color: var(--background-color);
    color: var(--button-text-color);
    border: none;
    border-radius: 5px;
    padding: 10px 20px;
    margin-top: 20px;
    transition: background-color 0.3s;
}

    .custom-btn:hover {
        background-color: var(--button-hover-background-color);
    }

/*--------------------------------------------------------------
# For Diginitires section
--------------------------------------------------------------*/
#main-container .dig-card img {
    width: 100%;
    height: auto;
}

/*    #main-container .dig-card img:hover {
        transform: scale(0.9);
    }*/
#main-container .dig-card:hover {
    transition: transform 0.5s ease-in-out;
    transform: scale(0.9);
}

#main-container .dig-card .card-title {
    color: var(--dark-gray-color);
    text-align: center;
}

#main-container .dig-card .card-text {
    text-align: center;
    color: var(--dark-gray-color);
    font-weight: 600;
    text-justify: auto;
}

/*--------------------------------------------------------------
# Our Partners sections
--------------------------------------------------------------*/

#Our-Partners .marquee-container {
    width: 100%;
    overflow: hidden;
    position: relative;
    border-radius: 8px;
    background: #fff;
}

#Our-Partners .marquee {
    display: flex;
    align-items: center;
    white-space: nowrap;
    animation: marquee-scroll 20s linear infinite;
}

    #Our-Partners .marquee.paused {
        animation-play-state: paused;
    }

@keyframes marquee-scroll {
    0% {
        transform: translateX(100%);
    }

    100% {
        transform: translateX(-100%);
    }
}

#Our-Partners .marquee img {
    width: 100px;
    margin-right: 60px;
}

    #Our-Partners .marquee img:last-child {
        margin-right: 0;
    }

/*--------------------------------------------------------------
# For Departments  Section
--------------------------------------------------------------*/

#main-container .department-link {
    width: 100%;
    display: block;
    background-color: var(--background-color);
    border-radius: 12px;
    border: 2px solid var(--background-color);
    color: var(--gray-light);
    text-decoration: none;
    padding: 10px;
    text-align: center;
    font-weight: 800;
}

    #main-container .department-link:hover {
        background-color: var(--light-background-color);
    }

#main-container #departmentName {
    font-size: 24px;
    font-weight: 600;
    font-family: var(--Montserrat-font-family);
    line-height: 2;
    border-bottom: 2px solid var(--light-gray-color);
}

#main-container .department_name_text {
    color: var(--light-gray-color);
}

#main-container #contact-us-container p {
    color: var(--background-color);
}

#main-container .backbutton_style {
    color: var(--light-gray-color);
    font-size: 22px;
}

#main-container .add-dept-btn {
    font-family: var(--Inter-font-family);
}

/*--------------------------------------------------------------
# For Departments  Section
--------------------------------------------------------------*/
#main-container #header-section {
    background-color: var(--background-color);
    color: var(--gray-light);
}

    #main-container #header-section #topsection {
        border-bottom: 2px solid var(--gray-light);
    }

#main-container #department-sidebar .card-header {
    background-color: var(--background-color);
    color: var(--gray-light);
    text-align: center;
    font-weight: 500;
}

.department-content-area .card-header {
    background-color: var(--background-color);
    color: var(--gray-light);
    text-align: center;
    font-weight: 500;
}

#main-container .department-link {
    width: 100%;
    display: block;
    background-color: var(--background-color);
    border-radius: 12px;
    border: 2px solid var(--background-color);
    color: var(--gray-light);
    text-decoration: none;
    padding: 10px;
    text-align: center;
    font-weight: 800;
}

    #main-container .department-link:hover {
        background-color: var(--light-background-color);
    }

#main-container #departmentName {
    font-size: 24px;
    font-weight: 600;
    font-family: var(--Montserrat-font-family);
    line-height: 2;
    /*    border-bottom: 2px solid var(--gray-light);*/
}

#main-container .department_name_text {
    color: var(--gray-light);
}

#main-container #contact-us-container p {
    color: var(--background-color);
}

#main-container .backbutton_style {
    color: var(--gray-light);
    font-size: 22px;
}

#main-container .add-dept-btn {
    font-family: var(--Inter-font-family);
}

/*--------------------------------------------------------------
# For Gallery Section
--------------------------------------------------------------*/

.gallery_text_title {
    color: var(--background-color);
    font-size: 16px;
}

#gallery-section .card {
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    transition: transform 0.3s ease-in-out;
}

#gallery-section img {
    height: 250px;
}

#gallery-section .card:hover {
    transform: scale(1.05);
}

#gallery-section .card-img-top {
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    transition: transform 0.3s ease-in-out;
}

#gallery-section .card:hover .card-img-top {
    transform: scale(1.1);
}

#gallery-section .card-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.6);
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
}

#gallery-section .card:hover .card-overlay {
    opacity: 1;
}

#gallery-section .card-overlay .readmore-btn {
    background-color: white;
    color: var(--background-color);
    padding: 8px 16px;
    border-radius: 5px;
    text-decoration: none;
    font-weight: bold;
    transition: background 0.3s ease-in-out, color 0.3s ease-in-out;
}

    #gallery-section .card-overlay .readmore-btn:hover {
        background-color: var(--background-color);
        color: white;
    }

#view-all-images-section img {
    height: 200px;
    transition: ease-out;
}

/*--------------------------------------------------------------
# CurrentStatus Page
--------------------------------------------------------------*/
#current-status-section a {
    text-decoration: none;
    color: var(--inactive-tab-text-color);
    font-weight: 500;
}

    #current-status-section a:hover {
        color: var(--active-tab-text-color);
    }

/*--------------------------------------------------------------
# MEDIA QUERIES
--------------------------------------------------------------*/
/*--------------------------------------------------------------
# Tablet Screens
--------------------------------------------------------------*/

@media (min-width: 992px) {
    #main-container .carousel-item img {
        height: 70vh;
    }
}

/*--------------------------------------------------------------
# Phones Screens
--------------------------------------------------------------*/

@media (max-width: 767.98px) {
    #NavbarSection {
        border-top: none;
    }

    #main-container .carousel-item img {
        height: 300px;
    }

    #notifications-orders .nav-tabs-bordered .nav-link {
        font-size: 0.8rem;
    }
}


.section-title {
    position: relative;
    display: inline-block;
    padding-bottom: 6px;
}

    .section-title::after {
        content: "";
        position: absolute;
        left: 0;
        bottom: 0;
        width: 100%;
        height: 4px; /* slightly thicker for visibility */

        background: linear-gradient(90deg, #c94e0f, /* darker orange */
        #F36D21, /* main color */
        #ffb07a, /* lighter highlight */
        #F36D21, #c94e0f );
        background-size: 200% 100%;
        animation: moveLine 2s linear infinite;
        border-radius: 2px;
    }

@keyframes moveLine {
    0% {
        background-position: -200% 0;
    }

    100% {
        background-position: 200% 0;
    }
}